%define ver_major 0.2

Name: quvi
Version: %ver_major.15
Release: alt1

Summary: Command line tool for parsing video download links
Group: Networking/Other
License: LGPLv2+
Url: http://quvi.sourceforge.net/
Packager: GNOME Maintainers Team <gnome@packages.altlinux.org>

Source: http://downloads.sourceforge.net/project/%name/%ver_major/%name-%version.tar.bz2

Requires: lib%name = %version-%release
BuildRequires: libcurl-devel libpcre-devel liblua5-devel doxygen
# for check
#BuildRequires: perl-Test-Deep perl-JSON perl-Test-Pod

%description
%name is a command line tool for parsing video download links. It
supports Youtube and other similar video websites.

%package -n lib%name
Summary: Files needed for building applications with lib%name
Group: System/Libraries

%description -n lib%name
lib%name is a library for parsing video download links with C API. It is
written in C and intended to be a cross-platform library.

%package -n lib%name-devel
Summary: Development files for lib%name
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package provides files needed for building applications against
lib%name.

%prep
%setup -q

%build
%configure --disable-static \
	--enable-tests \
	--without-doc

%make_build
%make dox
rm -f doc/html/installdox

%check
#%%make check

%install
%make DESTDIR=%buildroot install

%files
%_bindir/%name
%_datadir/%name/
%_man1dir/%name.*

%files -n lib%name
%_libdir/*.so.*
%doc doc/Howto* ChangeLog README

%files -n lib%name-devel
%_libdir/*.so
%_libdir/pkgconfig/*.pc
%_includedir/%name/
%doc examples/simple.c doc/html/

%changelog
* Thu May 12 2011 Yuri N. Sedunov <aris@altlinux.org> 0.2.15-alt1
- 0.2.15

* Tue Mar 22 2011 Yuri N. Sedunov <aris@altlinux.org> 0.2.14-alt1
- 0.2.14

* Fri Jan 28 2011 Yuri N. Sedunov <aris@altlinux.org> 0.2.12-alt1
- first build for Sisyphus

